### Constructor

# Notify Notification new

#### Declaration [src]

    NotifyNotification*
    notify_notification_new (
      const char* summary,
      const char* body,
      const char* icon
    )

#### Description [src]

Creates a new `NotifyNotification`.

The summary text is required, but all other parameters are optional.

#### Parameters

`summary`

  Type: `const char*`

  The required summary text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  The optional body text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `const char*`

  The optional icon theme icon name or filename.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `NotifyNotification`

The new `NotifyNotification`.

The caller of the function takes ownership of the data, and is responsible for freeing it.